#modname "ThroneGen #5dhbrf"
#description "Replaces all thrones with randomly generated ones. The thrones included with this instance are:

The Throne of Rage
- Spreads dominion (2)
- recruitable Fire Lord
- +3 F gems per month
- Mage of Summer defends wall during storm
The Throne of Temples
- Spreads dominion (2)
- +2 Dominion conflict bonus
- Permanent temple when claimed
- +2 F gems per month
The Throne of Snowfall
- Spreads dominion (2)
- +4 W gems per month
- +4 A gems per month
- increases global cold when claimed
The Verdant Throne
- Spreads dominion (2)
- recruitable Blackrose Sorceress
- +2 N gems per month
The Throne of Many Eyes
- Spreads dominion (2)
- priest can enter to scry, range 10 for 1 turn
- recruitable Conjurer
- Increases Heat in province
- +2 N gems per month
The Throne of Summer
- Spreads dominion (2)
- recruitable High Magus
- Blessed get +5 cold resistance
- +1 F gem per month
- -100 gold per month
The Throne of Faith
- Spreads dominion (5)
- +3 E gems per month

You can generate new ones at thronegen.illwiki.com."
#version 0.3

#selectsite 1103
#clear
#name "The Throne of Rage"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 11 -- lvl 2 throne
#wallcom 2544 -- Mage of Summer
#claim
#dominion 2
#com 389 -- recruitable Fire Lord
#gems 0 3
#end

#selectsite 1104
#clear
#name "The Throne of Temples"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 11 -- lvl 2 throne
#claim
#dominion 2
#domwar 2
#gems 0 2
#end

#newevent
#msg "As the throne is claimed, a temple to ##godname## springs from the ground. [The Throne of Temples]"
#nation -2 -- province owner
#rarity 5 -- checked every turn
#req_site 1 -- only happens to province specified in msg
#req_temple 0 -- requires lack of temple
#req_claimedthrone 1 -- throne must be claimed
#req_pop0ok -- happens in dead provinces as well
#temple 1 -- constructs a temple
#end

#selectsite 1105
#clear
#name "The Throne of Snowfall"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 11 -- lvl 2 throne
#claim
#dominion 2
#gems 2 4
#gems 1 4
#end

#newevent
#msg "The Throne of Snowfall is spreading cold across the world. [The Throne of Snowfall]"
#rarity 13 -- global, always and immediate
#req_site 1 -- only happens to province specified in msg
#req_claimedthrone 1 -- throne must be claimed
#req_pop0ok -- even if throne province has 0 pop
#worldincscale 2 -- globally increase cold by 1
#req_rare 50 -- 50% chance to happen every turn
#req_unique 2 -- happens twice
#end

#selectsite 1106
#clear
#name "The Verdant Throne"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 11 -- lvl 2 throne
#wild
#claim
#dominion 2
#com 2362 -- recruitable Blackrose Sorceress
#gems 6 2
#end

#selectsite 1107
#clear
#name "The Throne of Many Eyes"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 11 -- lvl 2 throne
#evil
#decscale 2
#claim
#dominion 2
#scry 1
#scryrange 10
#com 94 -- recruitable Conjurer
#gems 6 2
#end

#selectsite 1108
#clear
#name "The Throne of Summer"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 11 -- lvl 2 throne
#claim
#dominion 2
#com 481 -- recruitable High Magus
#blesscoldres 5
#gold -100
#gems 0 1
#end

#selectsite 1109
#clear
#name "The Throne of Faith"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 11 -- lvl 2 throne
#claim
#dominion 5
#gems 3 3
#end

#selectsite 1110
#rarity 5
#end
#selectsite 1111
#rarity 5
#end
#selectsite 1112
#rarity 5
#end
#selectsite 1113
#rarity 5
#end
#selectsite 1114
#rarity 5
#end
#selectsite 1115
#rarity 5
#end
#selectsite 1116
#rarity 5
#end
#selectsite 1117
#rarity 5
#end
#selectsite 1118
#rarity 5
#end
#selectsite 1119
#rarity 5
#end
#selectsite 1120
#rarity 5
#end
#selectsite 1121
#rarity 5
#end
#selectsite 1122
#rarity 5
#end
#selectsite 1123
#rarity 5
#end
#selectsite 1124
#rarity 5
#end
#selectsite 1125
#rarity 5
#end
#selectsite 1126
#rarity 5
#end
#selectsite 1127
#rarity 5
#end
#selectsite 1128
#rarity 5
#end
#selectsite 1129
#rarity 5
#end
#selectsite 1130
#rarity 5
#end
#selectsite 1131
#rarity 5
#end
#selectsite 1132
#rarity 5
#end
#selectsite 1133
#rarity 5
#end
#selectsite 1134
#rarity 5
#end
#selectsite 1135
#rarity 5
#end
#selectsite 1136
#rarity 5
#end
#selectsite 1137
#rarity 5
#end
#selectsite 1138
#rarity 5
#end
#selectsite 1139
#rarity 5
#end
#selectsite 1140
#rarity 5
#end
#selectsite 1141
#rarity 5
#end
#selectsite 1142
#rarity 5
#end
#selectsite 1143
#rarity 5
#end
#selectsite 1144
#rarity 5
#end
#selectsite 1145
#rarity 5
#end
#selectsite 1146
#rarity 5
#end
#selectsite 1147
#rarity 5
#end
#selectsite 1148
#rarity 5
#end
#selectsite 1149
#rarity 5
#end
#selectsite 1150
#rarity 5
#end
#selectsite 1151
#rarity 5
#end
#selectsite 1152
#rarity 5
#end
#selectsite 1153
#rarity 5
#end
#selectsite 1154
#rarity 5
#end
#selectsite 1155
#rarity 5
#end
#selectsite 1156
#rarity 5
#end
#selectsite 1157
#rarity 5
#end
